Package org.lwjgl.opencl

# Class CLDevice

java.lang.Object
org.lwjgl.PointerWrapperAbstract
org.lwjgl.opencl.CLDevice

All Implemented Interfaces:
  `PointerWrapper`

public final class CLDevice extends PointerWrapperAbstract
This class is a wrapper around a cl_device_id pointer.

Author:
  Spasi

## Field Summary

### Fields inherited from class org.lwjgl.PointerWrapperAbstract

`pointer`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getInfoBoolean(int param_name)`
Returns the boolean value of the specified parameter.
`int`
`getInfoInt(int param_name)`
Returns the integer value of the specified parameter.
`long`
`getInfoLong(int param_name)`
Returns the long value of the specified parameter.
`long`
`getInfoSize(int param_name)`
Returns the size_t value of the specified parameter.
`long[]`
`getInfoSizeArray(int param_name)`
Returns an array of size_t values of the specified parameter.
`String`
`getInfoString(int param_name)`
Returns the value of the specified String parameter.
`CLDevice`
`getParent()`
`CLPlatform`
`getPlatform()`
`final int`
`getReferenceCount()`
`CLDevice`
`getSubCLDevice(long id)`
Returns a sub-device of this device.
`final boolean`
`isValid()`
Returns true if this object represents a valid pointer.

### Methods inherited from class org.lwjgl.PointerWrapperAbstract

`checkValid, equals, getPointer, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getPlatform

public CLPlatform getPlatform()

### getSubCLDevice

public CLDevice getSubCLDevice(long id)
Returns a sub-device of this device.

Parameters:
  `id` - the sub-device object id
Returns:
  the CLDevice object

### getInfoString

public String getInfoString(int param_name)
Returns the value of the specified String parameter.

Parameters:
  `param_name` - the parameter
Returns:
  the parameter value

### getInfoInt

public int getInfoInt(int param_name)
Returns the integer value of the specified parameter.

Parameters:
  `param_name` - the parameter
Returns:
  the parameter value

### getInfoBoolean

public boolean getInfoBoolean(int param_name)
Returns the boolean value of the specified parameter.

Parameters:
  `param_name` - the parameter
Returns:
  the parameter value

### getInfoSize

public long getInfoSize(int param_name)
Returns the size_t value of the specified parameter.

Parameters:
  `param_name` - the parameter
Returns:
  the parameter value

### getInfoSizeArray

public long[] getInfoSizeArray(int param_name)
Returns an array of size_t values of the specified parameter.

Parameters:
  `param_name` - the parameter
Returns:
  the parameter values

### getInfoLong

public long getInfoLong(int param_name)
Returns the long value of the specified parameter. Can be used for both cl_ulong and cl_bitfield parameters.

Parameters:
  `param_name` - the parameter
Returns:
  the parameter value

### getParent

public CLDevice getParent()

### getReferenceCount

public final int getReferenceCount()

### isValid

public final boolean isValid()
Description copied from class: `PointerWrapperAbstract`
Returns true if this object represents a valid pointer. The pointer might be invalid because it is NULL or because some other action has deleted the object that this pointer represents.

Overrides:
  `isValid` in class `PointerWrapperAbstract`
Returns:
  true if the pointer is valid